# isnum

tests if a string represents a number

## Calling Sequence

    res = isnum(str)

## Arguments

str

  a character string or a matrix of character strings.

res

  a boolean matrix.

## Description

`res = isnum(str)` returns `%t` if `str` represents a number.

`isnum` does not handle "operations", but only pure scalar numbers. For instance, `isnum("1+2*3")` will return `%f`. Complex numbers are not concerned, because one complex number is defined by the addition of two parts.

## Examples

    isnum(['1'   , ..
        '-1.23'  , ..
        '+1e+23' , ..
        '1d+23'  , ..
        'A'      , ..
        '%e'     , ..
        '%pi'    , ..
        '%nan'   , ..
        'Nan'    , ..
        '%inf'   , ..
        'Inf'    , ..
        '1+%i*2' , ..
        '%eps-%eps*%i', ..
        '%inf+Nan*%i' ])

## See Also

- isletter
- isdigit
- isalphanum
- evstr